# FC6 and later install to %{_datadir}/php
%if 0%{?fedora} < 6
%global phpdir	%{_datadir}
%else
%global phpdir	%{_datadir}/php
%endif

Name:		php-Smarty
Summary:	Template/Presentation Framework for PHP
Version:	2.6.26
Release:	1%{?dist}
Source0:	http://www.smarty.net/distributions/Smarty-%{version}.tar.gz
License:	LGPLv2+
URL:		http://www.smarty.net/
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
%if 0%{?fedora} < 6
# php-Smarty installed in %{_datadir}
Requires:	php >= 4.0.6
%else
# Fedora 6 and later install in %{_datadir}/php
Requires:	php >= 5.1.6-3.5
%endif

%description
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%prep
%setup -q -n Smarty-%{version}
/usr/bin/iconv -f iso8859-1 -t utf-8 NEWS > NEWS.conv && %{__mv} -f NEWS.conv NEWS
/usr/bin/iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && %{__mv} -f ChangeLog.conv ChangeLog

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{phpdir}/Smarty
%{__cp} -a libs/* %{buildroot}%{phpdir}/Smarty/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog COPYING.lib demo FAQ NEWS QUICK_START README
%doc RELEASE_NOTES TODO
%{phpdir}/Smarty/

%changelog
* Fri Jun 19 2009 Paul Howarth <paul@city-fan.org> 2.6.26-1
- Update to 2.6.26 (revert super global access changes, rely on
  USE_SUPER_GLOBALS for security)

* Tue May 26 2009 Paul Howarth <paul@city-fan.org> 2.6.25-1
- Update to 2.6.25 (fix E_NOTICE when sessions are disabled)

* Sun May 17 2009 Paul Howarth <paul@city-fan.org> 2.6.24-1
- Update to 2.6.24 (fix problem introduced with super global changes)

* Thu May 14 2009 Paul Howarth <paul@city-fan.org> 2.6.23-1
- Update to 2.6.23
  - strip backticks from {math} equations
  - make PHP super globals read-only from template
  - throw error when template exists but not readable
  - icon no longer included in distribution

* Fri Dec 19 2008 Paul Howarth <paul@city-fan.org> 2.6.22-1
- Update to 2.6.22 (method chaining removed to work around PCRE engine bug
  in some versions of PHP)

* Wed Dec  3 2008 Paul Howarth <paul@city-fan.org> 2.6.21-1
- Update to 2.6.21
- Security patch now included upstream

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> 2.6.20-2
- Add security patch (CVE-2008-4811, #469648, PHP code execution via templates
  with \ escaped $ sign)

* Tue Oct 14 2008 Paul Howarth <paul@city-fan.org> 2.6.20-1
- Update to 2.6.20
- Upstream moved from smarty.php.net to www.smarty.net

* Fri Mar 28 2008 Paul Howarth <paul@city-fan.org> 2.6.19-1
- Update to 2.6.19 (fixes CVE-2008-1066)
- Clarify license as GNU Lesser Public License, version 2 or later
- Fix character encoding of docs

* Mon Jun 18 2007 Paul Howarth <paul@city-fan.org> 2.6.18-1
- Import from FC-5 branch of Fedora Extras
- Clean up spec file
- Install under %%{_datadir}/php rather than %%{_datadir} for Fedora 6 onwards

* Tue May 16 2006 Orion Poplawski <orion@cora.nwra.com> 2.6.13-1
- Update to 2.6.13

* Tue Nov  1 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-2
- Fix Source0 URL.

* Thu Oct 13 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-1
- Initial Fedora Extras version
